linux: 3.2.0-36.56 -proposed tracker

Bug #1095351 reported by Brad Figg on 2013-01-02
This bug report is a duplicate of:  Bug #1097389: linux: 3.2.0-36.57 -proposed tracker. Edit Remove
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Brad Figg
Prepare-package-lbm
Undecided
Brad Figg
Prepare-package-meta
Undecided
Brad Figg
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
Canonical Security Team
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Precise
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.2.0-36.56 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 02. January 2013 16:03 UTC
kernel-stable-Prepare-package-end:Thursday, 03. January 2013 19:28 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 03. January 2013 19:28 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 03. January 2013 21:01 UTC
kernel-stable-phase:Verification
kernel-stable-phase-changed:Thursday, 03. January 2013 22:01 UTC
kernel-stable-Verification-testing-start:Thursday, 03. January 2013 22:01 UTC
kernel-stable-Regression-testing-end:Tuesday, 08. January 2013 17:00 UTC

CVE References

Brad Figg (brad-figg) on 2013-01-02
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: precise
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-ti-omap4
linux-armadaxp
linux-lowlatency

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) wrote :

All builds are complete, packages in this bug can be copied to -proposed.

It was not possible to create or handle the tracking bugs for the following packages (their tracking bugs based on this update must be handled manually):
linux-ti-omap4
linux-armadaxp
linux-lowlatency

Brad Figg (brad-figg) wrote :

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 1095797
linux-armadaxp - bug 1095798
linux-lowlatency - bug 1095799

Brad Figg (brad-figg) on 2013-01-03
description: updated
Brad Figg (brad-figg) on 2013-01-03
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-01-08
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (10.1 KiB)

This bug was fixed in the package linux - 3.2.0-36.57

---------------
linux (3.2.0-36.57) precise-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #1097389

  [ Chris J Arges ]

  * Revert "SAUCE: fsnotify: dont put marks on temporary list when clearing
    marks by group"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce locked versions of
    fsnotify_add_mark() and fsnotify_remove_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: pass group to fsnotify_destroy_mark()"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use a mutex instead of a spinlock to protect a
    groups mark list"
    - LP: #1096137
  * Revert "SAUCE: fanotify: add an extra flag to mark_remove_from_mask
    that indicates wheather a mark should be destroyed"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: take groups mark_lock before mark lock"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: use reference counting for groups"
    - LP: #1096137
  * Revert "SAUCE: fsnotify: introduce fsnotify_get_group()"
    - LP: #1096137

  [ Upstream Kernel Changes ]

  * fsnotify: introduce fsnotify_get_group()
    - LP: #1096137
  * fsnotify: use reference counting for groups
    - LP: #1096137
  * fsnotify: take groups mark_lock before mark lock
    - LP: #1096137
  * fanotify: add an extra flag to mark_remove_from_mask that indicates
    wheather a mark should be destroyed
    - LP: #1096137
  * fsnotify: use a mutex instead of a spinlock to protect a groups mark
    list
    - LP: #1096137
  * fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #1096137
  * fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #1096137
  * fsnotify: dont put marks on temporary list when clearing marks by group
    - LP: #1096137
  * fsnotify: change locking order
    - LP: #1096137

linux (3.2.0-36.56) precise-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1095351

  [ Chris J Arges ]

  * SAUCE: add eeprom_bad_csum_allow module parameter
    - LP: #1070182

  [ Colin Ian King ]

  * SAUCE: samsung-laptop: disable in UEFI mode
    - LP: #1040557

  [ Herton Ronaldo Krzesinski ]

  * SAUCE: usb: cdc-wdm: fix regression on buffer deallocation
    - LP: #1074157

  [ Kees Cook ]

  * SAUCE: exec: do not leave bprm->interp on stack
    - LP: #1068888
    - CVE-2012-4530

  [ Leann Ogasawara ]

  * Add ceph to virtual kernel flavor
    - LP: #1063784

  [ Lino Sanfilippo ]

  * SAUCE: fsnotify: introduce fsnotify_get_group()
    - LP: #922906
  * SAUCE: fsnotify: use reference counting for groups
    - LP: #922906
  * SAUCE: fsnotify: take groups mark_lock before mark lock
    - LP: #922906
  * SAUCE: fanotify: add an extra flag to mark_remove_from_mask that
    indicates wheather a mark should be destroyed
    - LP: #922906
  * SAUCE: fsnotify: use a mutex instead of a spinlock to protect a groups
    mark list
    - LP: #922906
  * SAUCE: fsnotify: pass group to fsnotify_destroy_mark()
    - LP: #922906
  * SAUCE: fsnotify: introduce locked versions of fsnotify_add_mark() and
    fsnotify_remove_mark()
    - LP: #922906
  * SAUCE: fsnotify: dont put marks on temporary list when ...

Changed in linux (Ubuntu Precise):
status: New → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers